### Method

# Gio FileInfo set_attribute_status

since: 2.22

#### Declaration

    gboolean
    g_file_info_set_attribute_status (
      GFileInfo* info,
      const char* attribute,
      GFileAttributeStatus status
    )

#### Description

Sets the attribute status for an attribute key. This is only needed by external code that implement `g_file_set_attributes_from_info()` or similar functions.

The attribute must exist in `info` for this to work. Otherwise `FALSE` is returned and `info` is unchanged.

Available since: 2.22

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`status`

  Type: `GFileAttributeStatus`

  A `GFileAttributeStatus`.

#### Return value

Type: `gboolean`

`TRUE` if the status was changed, `FALSE` if the key was not set.